post
https://gamma.api.springbig.technology/pos/v1/batches
Use this endpoint to create a batch of new members.
Example Request
Items can be of type member, visit or product. Up to 100 items allowed per batch.
{
"items": [
{
"type": "member",
"data": {
"pos_user": "pos_determined_id",
"pos_type": "springbig",
"phone_number": "5135555113",
"first_name": "Cheech",
"last_name": "Marin",
"email": "[email protected]",
"address1": "321 Up In Smoke Lane",
"address2": "Apt 420",
"city": "Boca Raton",
"zip": "55555-1234",
"birthday": "2000-01-01",
"medical_card_expiration": "2000-01-01",
"interest_list": "baseball, also-dope-store",
"location_list": "dope-dope-store, also-dope-store",
"discount_list": "senior, veteran, human",
"gender": "other",
"purpose": "recreational",
"url_encoded": true,
"allowed_email": true,
"hipaa_acknowledged": true
}
},
{
"type": "visit",
"data": {
"pos_id": "your_unique_id_here",
"pos_user": "pos_determined_id",
"pos_type": "springbig",
"transaction_date": "2019-04-03 15:33:37 +0000",
"transaction_total": 420,
"final_total": 620.5,
"sub_total": 310.8,
"total_discount": 120.1,
"total_fees": 10.5,
"total_taxes": 50,
"order_source": 2,
"send_notification": true,
"location": "DopeDopeShop",
"url_encoded": true,
"visit_details_attributes": [
{
"total_price": 23.05,
"unit_of_weight": "Gm",
"sold_weight": 1.5,
"sku": "WASD1234",
"price": 12.04,
"quantity": 1.5,
"category": "",
"brand": "string",
"name": "string",
"discount": 0
}
]
}
},
{
"type": "product",
"data": {
"pos_id": "3333",
"name": "product name",
"sku": "sku",
"brand": "brand name",
"category": "1993-05-25",
"location": "FL",
"pos_type": "springbig",
"inventory_quantity": 23,
"price_type": "weight or unit",
"unit_price": 10
}
}
]
}
